org.apache.ignite.internal.processors.hadoop.counter

## Interface HadoopCounterWriter

    public interface HadoopCounterWriter

The object that writes some system counters to some storage for each running job. This operation is a part of whole statistics collection process.

### Method Summary

Methods
`void` `write(HadoopJob job, HadoopCounters cntrs)` Writes counters of given job to some statistics storage.

### Method Detail

#### write

    void write(HadoopJob job,
             HadoopCounters cntrs)
               throws IgniteCheckedException

Writes counters of given job to some statistics storage.

Parameters:
  `job` - The job.
  `cntrs` - Counters.
Throws:
  `IgniteCheckedException` - If failed.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0.final
Release Date | : December 29 2015